magnifying-glassGet enrollment status

Get Enrollment Status

get

Obtain the information of a certain enrollment, together with all the deposits tied to it.

Path parameters
idintegerRequired

Enrollment ID. It is obtained when creating the enrollment.

Example: 30
Header parameters
X-Datestring · date-timeRequired

ISO8601 Datetime with Timezone: yyyy-MM-dd'T'HH:mm:ssZ

Example: 2025-10-22T10:30:00-03:00
X-LoginstringRequired

Merchant X-Login API Key

AuthorizationstringRequired

Authentication signature hash

Responses
chevron-right
200

Successful retrieval of enrollment information.

application/json
enrollment_idintegerOptional

The unique identifier for the enrollment.

Example: 30
amountnumber · doubleOptional

The amount to be charged.

Example: 1
countrystringOptional

Country code (ISO 3166-1 alpha-2).

Example: BR
currencystringOptional

Currency code (ISO 4217).

Example: BRL
invoice_idstringOptional

Your internal invoice identifier.

Example: invoiceid10000
amount_typestringOptional

Type of amount.

Example: FIXED
statusstringOptional

The current status of the enrollment.

Example: ACTIVE
frequencystringOptional

How often the charge occurs.

Example: MONTHLY
start_datestring · dateOptional

The date the enrollment begins.

Example: 2025-10-22
depositsinteger[]Optional

A unique deposit ID.

Example: 1398852515
get
/enrollments/{id}
200

Successful retrieval of enrollment information.

Last updated

Was this helpful?